Loading...
Searching...
No Matches
DbDataProvider::DbTableBulkUpserter Class Reference

Bulk insert object for tables. More...

`#include <DbTableBulkUpserter.qc.dox.h>`

Inheritance diagram for DbDataProvider::DbTableBulkUpserter:
[legend]

## Public Member Functions

| constructor (DbTableDataProvider provider, AbstractTable table)
| Creates the object.
Public Member Functions inherited from DbDataProvider::AbstractDbTableBulkOperation
| constructor (DbTableDataProvider provider, AbstractBulkOperation bulk)
| Creates the object.
| discard ()
| Discards any buffered data.
| flush ()
| Flushes any remaining data to the data provider.
| queueData (hash< auto > record)
| Queues data in the buffer.
| queueData (list< hash< auto > > records)
| Queues data in the buffer.

## Additional Inherited Members

Protected Attributes inherited from DbDataProvider::AbstractDbTableBulkOperation
AbstractBulkOperation | bulk
| The actual bulk insert operation object.

## Detailed Description

Bulk insert object for tables.